import React, { useEffect, useState } from 'react'
import Taro ,{useDidShow}from "@tarojs/taro";
import { View, Input, Text, Image, Form, Button } from '@tarojs/components'
import Layout from '../../../layout/index'
import Tab from '../../../compents/tab/index'
import Container from '../../../compents/container/index'
import './index.scss'
import request from '../../../util/request'


import getQueryValue from '../../../util/getQueryValue'

const index = (props) => {

    const { id, keeperId } = getQueryValue()

    const [data, setData] = useState({})
    const [pageState, setPageState] = useState('1')
    const [list, setList] = useState([])
    useDidShow(() => {
        console.log('useDidShow')
        if (keeperId) {
            getShopKeeperDetail()
        }else{
            setData({})
        }
    })


    const getShopKeeperDetail = () => {
        request({ url: `/taShopKeeper/${keeperId}`, method: 'get' }).then((res) => {
            console.log(res,'getDetail')
            setData(res.data.data)
        })
    }

    const onRegisterChange = (e) => {
        console.log(e, '111')
    }
    const onSave = () => {
        console.log(333)

        // Taro.showModal({
        //     title: '修改成功',
        //     content: '点击确认按钮，返回上级菜单',
        //     showCancel: false,
        //     success: function (res) {
        //         if (res.confirm) {
        //             console.log('用户点击确定')

        //             Taro.navigateBack({
        //                 delta: 1
        //             })
        //         } else if (res.cancel) {
        //             console.log('用户点击取消')
        //         }
        //     }
        // })
    }

    const editShopKeeper = (value) => {
        console.log(value, 333)

        if(keeperId){
            Taro.showModal({
                title: '确定修改该老板信息吗',
                cancelColor: '#d2d2d2',
                confirmColor: "#274191",
                success: (res) => {
                  if (res.confirm) {
                    request({ url: `/taShopKeeper/${keeperId}`, data: {...data, ...value }, method: 'put' }).then((res) => {
                        Taro.navigateBack({
                            delta: 1
                        })
                    })
          
          
                  } else if (res.cancel) {
                    console.log('用户点击取消')
                  }
                }
              })
        }else{
            request({ url: "/taShopKeeper", data: { ...value, shopId: id }, method: 'post' }).then((res) => {
                Taro.navigateBack({
                    delta: 1
                })
            })
        }

        

    }
    function formSubmit(e) {
        console.log(e.detail, 'formSubmit')
        editShopKeeper(e.detail.value)


    }

    const formReset = () => {
        console.log('formReset')
    }

    return <View className='addnewhouse'>

        {/* "createDate": "2020-12-24T11:57:16.851Z",
  "keeperId": "string",
  "name": "string",
  "personId": "string",
  "phone": "string",
  "shopId": "string",
  "status": 0 */}
        <Form onSubmit={formSubmit} onReset={formReset}>
            <Layout>

                {/* <View className='inputstyle-view'>
                    <Text className='title'>系统账号</Text>
                    <Container className='inputstyle-view-card '  >
                        <Input name='keeperId' placeholderClass='placeholderinput' placeholder='' className='input' />
                    </Container>
                </View> */}
                <View className='inputstyle-view'>
                    <Text className='title'>姓名</Text>
                    <Container className='inputstyle-view-card '  >
                        <Input name='name' value={data.name} placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
                <View className='inputstyle-view'>
                    <Text className='title'>电话</Text>
                    <Container className='inputstyle-view-card '  >
                        <Input name='phone'  value={data.phone} placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
                {/* <View className='inputstyle-view'>
                    <Text className='title'>微信号</Text>
                    <Container className='inputstyle-view-card '  >
                        <Input name='personId' placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
               <View className='inputstyle-view'>
                    <Text className='title'>房源数</Text>
                    <Container className='inputstyle-view-card '  >
                        <Input name='nnn' placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
                <View className='inputstyle-view'>
                    <Text className='title'>logo</Text>
                    <Container className='inputstyle-view-card ' style={{padding:'0.6rem',width:'2rem',height:'2rem'}} >
                        <Image className='guide-view-img'  style={{width:'100%',height:'100%'}} src={uploadicon || "https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=1657471424,2319316184&fm=26&gp=0.jpg"}></Image>
                    </Container>
                </View> */}



            </Layout>
            {/* <Input formType="submit" > */}
            <Tab formType="submit" className='addhousetab' pageState='3' value={['取消', '保存']} onClick={[(e) => {
                Taro.navigateBack({
                    delta: 1
                })
            }, () => onSave()]}></Tab>

            {/* </Input> */}

        </Form>


    </View>
}

export default index