import React, { useEffect, useMemo, useState, useRef } from 'react'
import Taro, { useDidShow } from '@tarojs/taro'
import './index.scss'
import { View, Text, Input, Image } from '@tarojs/components'
import ContainerLayout from '../../compents/container/index'
import Tab from '../../compents/tab/index'
import Layout from '../../layout/index'
import Tags from '../../compents/tags/index'
import { AtImagePicker } from 'taro-ui'
import request, { uploadFiles } from '../../util/request'
import uploadicon from '../../assets/uploadicon.png'

const batchimport = (props) => {
    const [pageState, setPageState] = useState('1')
    const [labelList, setLabelList] = useState([])
    const [imgUrl, setImgUrl] = useState({})
    const [tagList, setTagList] = useState([])

    let [arrList, setArrList] = useState({})
    useDidShow(() => {
        getMateTagGroupList()
    })


    const getMateTagGroupList = () => {
        request({ url: '/taMateTagGroup', params: { pageSize: 1, pageSize: 9999 }}).then((res) => {
            const { records, ...page } = res.data.data
            setTagList(records)
        })
    }


    const onSave = (e) => {
        // console.log(labelList,imgUrl, 'onSave')
        const data = labelList.map((x) => { return { tagId: x.tagId, imageId: imgUrl.imageId } })
        // console.log(, 'onSave333')

        request({ url: "/taMetaImageTag", data: data, method: 'post' }).then((res) => {
            Taro.showModal({
                title: '上传成功',
                content: '点击确认按钮，返回上级菜单',
                showCancel: false,
                success: function (res) {
                    if (res.confirm) {
                        console.log('用户点击确定')
                        setImgUrl({})
                    } else if (res.cancel) {
                        console.log('用户点击取消')
                    }
                }
            })
        })
    }

    const onFail = (e) => {
        console.log(e, 'w')
    }
    const onImageClick = (e) => {
        console.log(e, 'w')
    }

    const onLabelChange = (e, index) => {
        console.log(e, index, 'onLabelChange')
        let newArrArrList={
            ...arrList,
            [index]: e
        }
        setArrList(newArrArrList)
        console.log(newArrArrList, 'arrList')
        let newArr = Object.values(newArrArrList).reduce((pre, cur) => {

            return pre.concat(cur)

        }, [])
        setLabelList(newArr)
        // console.log(newArr, 'newArr')
        // // arrList[index] = e
        // // const [arrList, setArrList] = useState([[],[],[]])
        // setLabelList(e)

        // // console.log(arrList.flat(), 'labelList')
    }


    const onUpImage = () => {
        Taro.chooseImage({
            sourceType: ['album'],
            success: (res) => {
                const tempFilePaths = res.tempFilePaths
                uploadFiles(tempFilePaths, '/api/mp/taMetaImage').then((res) => {
                    console.log(res, 'uploadFiles')
                    setImgUrl(res[0])
                })
            }
        })
    }

    return <View className='batchimport'>
        <View style={{ display: pageState == '1' ? 'none' : 'block' }}>
            <Text>标签</Text>
            <View style={{ padding: '0 20px' }}>

                <View className='at-row  at-row--wrap at-row__justify--center' style={{ marginTop: '0.15rem' }}>

                    {
                        labelList.map((item, index) => {
                            return <View className='at-col at-col-4' key={index}>
                                <View className='tags-btn' >{item.name}</View>
                            </View>
                        })

                    }
                    {/* <View className='at-col at-col-4 ' >
                        <View className='tags-btn tags-btn-on' onClick={() => setPageState('1')} >添加</View>
                    </View> */}
                </View>
            </View>

            <Text>照片</Text>
            < View style={{ padding: '30px' }}>
                {/* <AtImagePicker
                    // multiple={true}
                    length={4}
                    files={imgList}
                    onChange={onImgChange}
                    onFail={onFail}
                    onImageClick={onImageClick}
                /> */}
                <Image className='guide-view-img' style={{ width: imgUrl.image ? '100%' : '10%', height: '100%' }} onClick={() => onUpImage()} src={imgUrl.image || uploadicon}></Image>
            </View>

            {/* <Tab value={['取消','']}  onClick={() => { Taro.navigateTo({ url: `/pages/label/edit/index` }) }} ></Tab> */}
            <Tab pageState='3' value={['取消', '上传']} onClick={[(e) => { setLabelList([]); setPageState('1') }, (e) => onSave(e)]}></Tab>
        </View>
        
       <View style={{ display: pageState == '2' ? 'none' : 'block' }}>
            <View style={{ padding: '0 20px' }}>

                {
                    tagList.map((item, index) => {
                        return <View className='material-card'>
                            <Text>{item.name}</Text>
                            <Tags list={item.taMateTagList} onChange={(e) => onLabelChange(e, index)} style={{ marginTop: '90rpx' }}> </Tags>
                        </View>
                    })
                }
            </View>
            {/* <Tab value={['取消','']}  onClick={() => { Taro.navigateTo({ url: `/pages/label/edit/index` }) }} ></Tab> */}
            <Tab pageState='3' value={['取消', '选择']} onClick={[(e) =>{ setPageState('2')}, (e) => setPageState('2')]}></Tab>
        </View>
        
    </View >
}

export default batchimport