import React, { useEffect, useMemo, useState } from 'react'
// import { useEffect, useLayoutEffect, useReducer, useState, useContext, useRef, useCallback, useMemo } from '@tarojs/taro'
import Taro, { useDidShow } from "@tarojs/taro";
import { useSelector, } from 'react-redux'
import { View, Text, Button, Image } from '@tarojs/components'
import Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Container from '../../compents/container/index'
import locationicon from '../../assets/locationicon.png'
import Tags from '../../compents/tags/index'
import './index.scss'
import { AtFloatLayout } from "taro-ui"
import getQueryValue from '../../util/getQueryValue';
import request, { uploadFiles } from '../../util/request';
import groupby from 'lodash.groupby';
import NoData from '@/compents/NoData'

// Page({
//     data: {
//         text: 'init data',
//         array: [{ msg: '1' }, { msg: '2' }]
//     }
// })

const index = (props) => {

    const { query } = getQueryValue()

    const [isOpened, setIsOpened] = useState(false)
    const [labelState, setLabelState] = useState(false)
    const [list, setList] = useState({})
    const [labelList, setLabelList] = useState([])
    const [data, setData] = useState({})
    const [tagList, setTagList] = useState([])

    let [arrList, setArrList] = useState({})
    useDidShow(() => {
        // console.log(query)
        getImageList()
        getMateTagGroupList()
    })


    const getMateTagGroupList = () => {
        request({ url: '/taMateTagGroup', params: { pageSize: 1, pageSize: 9999 }}).then((res) => {
            const { records, ...page } = res.data.data
            setTagList(records)
        })
    }

    const getImageList = () => {
        request({ url: '/taMetaImageTag', params: { tagIds: query } }).then((res) => {
            const { records, ...page } = res.data.data
            console.log(groupby(records, item => item.imageId),'------')
            // _.groupBy([6.1, 4.2, 6.3], Math.floor);
            setList(groupby(records, item => item.imageId))

        })

    }
    const updateImage = () => {
        // console.log('onUpImage')

        console.log(data, 'onUpImage')

        Taro.chooseImage({
            sourceType: ['album'],
            success: (res) => {
                const tempFilePaths = res.tempFilePaths
                uploadFiles(tempFilePaths, '/api/mp/taMetaImage',).then((res) => {
                    console.log(res, 'uploadFiles')
                    const newInfo = {
                        newImage: res[0].imageId,
                        newTags: data.map((x) => x.tagId)
                    }
                    updatainfo(newInfo)


                })
            }
        })


        setIsOpened(false);
    }

    const ontagsClick = () => {
        // console.log('onUpImage')

     

        const newInfo = {
            newImage: data[0].imageId,
            newTags: labelList.map((x) => x.tagId)
        }
        updatainfo(newInfo)
        console.log(newInfo,labelList, 'onUpImage')
        // setIsOpened(false);
    }

    

    //     "newImage": "string",
    //   "newTags": [
    //     "string"
    //   ],
    //   "originImage": "string",
    //   "originTags": [
    //     "string"
    //   ]

    const updatainfo = (newInfo) => {
        const oldinfo = {
            originImage: data[0].imageId,
            originTags: data.map((x) => x.tagId)
        }
        request({ url: "/taMetaImageTag", data: { ...oldinfo, ...newInfo }, method: "put" }).then(() => {
            getImageList()
            setLabelState(false)
        })
    }


    const updateLabel = (e) => {

        setIsOpened(false)
        setLabelState(true)
        // Taro.navigateTo({ url: "/pages/material/index?type=uplabel" })
    }
    const handleClose = (e) => {
        console.log(e, '111')

        setIsOpened(false)
    }

    const deleteImage = (e) => {
        Taro.showModal({
            title: '确定删除该图片吗？',
            
            cancelColor: '#d2d2d2',
            confirmColor: "#274191",
            success: function (res) {
              if (res.confirm) {
                console.log('用户点击确定')
      
                setIsOpened(false)
                // Taro.showModal({
                //   title: `改标签组有${row.user.number}个标签仍在使用。请先清空标签，再删除标签组`,
                //   showCancel: false,
                //   // cancelColor:'#d2d2d2',
                //   confirmColor: "#274191",
                //   success: function (res) {
                //     if (res.confirm) {
                //       console.log('用户点击确定')
      
      
                //     } else if (res.cancel) {
                //       console.log('用户点击取消')
                //     }
                //   }
                // })
      
              } else if (res.cancel) {
                setIsOpened(false)
              }
            }
       
    })
 
    }

    const onLabelChange = (e, index) => {
        let newArrArrList={
            ...arrList,
            [index]: e
        }
        setArrList(newArrArrList)
        let newArr = Object.values(newArrArrList).reduce((pre, cur) => {

            return pre.concat(cur)

        }, [])
        setLabelList([...newArr])
    }

    return <View className='imglist'>

        
        <NoData nodata={Object.keys(list).length === 0}>
        {console.log(labelState,'-------------------')
}
        {!labelState&&<View style={{ padding: '0 30px' }}>
           
            {

                Object.keys(list).map((item) => {

                    return <View className='imglist-card'>
                        <View className='imglist-card-tags' style={{ display: 'flex' }}>
                            {/* imageimageimageimage34 */}
                            {list[item].map((x) => {
                                console.log(x.tagName)
                                return <View className='tag' >{x.tagName}</View>
                            })}
                        </View>
                        <Image src={list[item][0].image} style={{ width: '100%' }} onClick={() => { setData(list[item]); setIsOpened(true) }}></Image>
                    </View>
                })
            }
        </View>}

        {labelState&&
            <View style={{textAlign:'center'}}> 
            <View style={{ padding: '0 20px' }}>

                {
                    tagList.map((item, index) => {
                        return <View className='imglist-tagcard'>
                            <Text>{item.name}</Text>
                            <Tags list={item.taMateTagList} onChange={(e) => onLabelChange(e, index)} style={{ marginTop: '90rpx' }}> </Tags>
                        </View>
                    })
                }
            </View>
            {/* <Tab value={['取消','']}  onClick={() => { Taro.navigateTo({ url: `/pages/label/edit/index` }) }} ></Tab> */}
            <Tab pageState='3' value={['取消', '选择']} onClick={[(e) => setLabelState(false), (e) => ontagsClick()]}></Tab>
        </View>
        }

        </NoData>

        <AtFloatLayout isOpened={isOpened} onClose={() => handleClose()} style={{ zIndex: '1000' }}>
            <View className='floatmodel' >
                <View onClick={() => updateLabel()}>更改标签</View>
                <View onClick={() => updateImage()}>更换图片</View>
                <View onClick={() => deleteImage() }>删除</View>
                <View style={{ color: '#d2d2d2' }} onClick={() => setIsOpened(false)}>取消</View>
            </View>

        </AtFloatLayout>
    </View>
}

export default index