import React, { useEffect, useMemo, useState } from 'react'
import Taro, { useDidShow } from "@tarojs/taro";
import { useSelector } from 'react-redux'
import { View, Input, Text, Image, Form } from '@tarojs/components'
import Layout from '../../../layout/index'
import Tab from '../../../compents/tab/index'
import Container from '../../../compents/container/index'
import './index.scss'
import getQueryValue from '../../../util/getQueryValue'
import request from '../../../util/request';

const index = (props) => {

    const { id,tagId } = getQueryValue()

    const [name, setName] = useState('')
    const [data, setData] = useState({})
    const [pageState, setPageState] = useState('1')
    const [list, setList] = useState([])


    useDidShow(() => {
        if (tagId) {
            getMateTagGroupDetail()
        }

    })
    const getMateTagGroupDetail = () => {
        request({ url: `/taMateTag/${tagId}` }).then((res) => {
            setName(res.data.data.name)
            setData(res.data.data)
        })
    }


    const onSave = () => {
        console.log(333)

        if (tagId) {

            Taro.showModal({
                title: '确定修改该标签吗？',
                // content: row.name,
                cancelColor: '#d2d2d2',
                confirmColor: "#274191",
                success: function (res) {
                  if (res.confirm) {
                    console.log('用户点击确定')
          
                    request({url: `/taMateTag/${tagId}`, data: { ...data, name: name }, method: 'put' }).then((res) => {
                        Taro.showModal({
                            title: '修改成功',
                            content: '点击确认按钮，返回上级菜单',
                            showCancel: false,
                            success: function (res) {
                                if (res.confirm) {
                                    console.log('用户点击确定')
        
                                    Taro.navigateBack({
                                        delta: 1
                                    })
                                } else if (res.cancel) {
                                    console.log('用户点击取消')
                                }
                            }
                        })
        
                    })
          
                  } else if (res.cancel) {
                    console.log('用户点击取消')
                  }
                }
              })

            
        } else {
            request({ url: '/taMateTag', data: { name:name,groupId: id}, method: 'post' }).then((res) => {
                Taro.navigateBack({
                    delta: 1
                })
            })
        }



        // Taro.showModal({
        //     title: '修改成功',
        //     content: '点击确认按钮，返回上级菜单',
        //     showCancel: false,
        //     success: function (res) {
        //         if (res.confirm) {
        //             console.log('用户点击确定')

        //             Taro.navigateBack({
        //                 delta: 1
        //             })
        //         } else if (res.cancel) {
        //             console.log('用户点击取消')
        //         }
        //     }
        // })
    }

    function handNameChange(e) {

        setName(e.detail.value)



    }

    return <View className='addnewhouse'>


        {/* <Form onSubmit={this.formSubmit} onReset={this.formReset} >
        <View className='example-body'>
          <Switch name='switch' className='form-switch'></Switch>
        </View>
      </Form> */}

        <Layout>
   
            <View className='inputstyle-view'>
                <Text className='title'>标签名称</Text>
                <Container className='inputstyle-view-card ' >
                    <Input placeholderClass='placeholderinput' value={name} onInput={handNameChange} className='input' type='text' placeholder='' />
                </Container>
            </View>
   
        </Layout>
        <Tab className='addhousetab' pageState='3' value={['取消', tagId ? '确认修改' : '确认添加']} onClick={[(e) => Taro.navigateBack({
            delta: 1
        }), () => onSave()]}></Tab>


    </View>
}

export default index