import React, { useEffect, useMemo, useState, useRef } from 'react'
import Taro, { useDidShow } from '@tarojs/taro'
import './index.scss'
import { View, Text, Input, Image } from '@tarojs/components'
import ContainerLayout from '../../compents/container/index'
import Tab from '../../compents/tab/index'
import Layout from '../../layout/index'
import request from '../../util/request'
import getQueryValue from '../../util/getQueryValue'
import NoData from '@/compents/NoData'

const house = (props) => {

  const {id} = getQueryValue()

  const [list, setList] = useState([])


  useDidShow(() => {
    getMateTagList()
  })

  // request({ url: '/taShopKeeper',params:{shopId:id}, method: 'get', }).then((res)=>{
  //   const { records, ...page} = res.data.data
  //   setList(records)
  // })
  const getMateTagList = () => {
    console.log(id,'getMateTagList')
    request({ url: '/taMateTag',params:{groupId:id,pageSize:9999},method: 'get', }).then((res) => {
      const { records, ...page} = res.data.data
      setList(records)
    })
  }


  const onDelete = (row) => {
    Taro.showModal({
      title: '确定删除该标签组吗？',
      content: row.name,
      cancelColor: '#d2d2d2',
      confirmColor: "#274191",
      success: function (res) {
        if (res.confirm) {
          console.log('用户点击确定')

          request({ url: `/taMateTag/${row.tagId}`, method: 'delete', }).then((res)=>{
            getMateTagList({ pageNum: 1, pageSize:999 })
          })
          // Taro.showModal({
          //   title: `改标签组有${row.user.number}个标签仍在使用。请先清空标签，再删除标签组`,
          //   showCancel: false,
          //   // cancelColor:'#d2d2d2',
          //   confirmColor: "#274191",
          //   success: function (res) {
          //     if (res.confirm) {
          //       console.log('用户点击确定')


          //     } else if (res.cancel) {
          //       console.log('用户点击取消')
          //     }
          //   }
          // })

        } else if (res.cancel) {
          console.log('用户点击取消')
        }
      }
    })
  }




  return <View className='account'>
    <Layout>
      <NoData nodata={!list.length} tips="暂无标签">
      {list.map((x, index) => {
        return <View className='account-view'>
  
          <ContainerLayout className='account-view-card'>
            <View className='top' >
              <View>标签名称：{x.name}</View>

            </View>
            <View className='bottom'>
              <Text onClick={() => { Taro.navigateTo({ url: `/pages/mateTag/edit/index?tagId=${x.tagId}` }) }}>编辑</Text>
              <Text onClick={() => onDelete(x)}>删除</Text>
            </View>
          </ContainerLayout>

        </View>

      })}
      </NoData>
    </Layout>
    {/* onClick={(e)=>(e) */}
    <Tab value={['+新增标签']} color='#ffffff' onClick={() => { Taro.navigateTo({ url: `/pages/mateTag/edit/index?id=${id}` }) }} ></Tab>
  </View>
}

export default house